<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools">

    <uses-feature
        android:name="android.hardware.camera"
        android:required="false" />


    <uses-permission android:name="android.permission.CHANGE_WIFI_STATE" />

    <uses-permission android:name="android.permission.INTERNET" /> <!-- //震动权限 -->
    <uses-permission android:name="android.permission.VIBRATE" /> <!-- //外部存储器权限 -->


    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE"
        android:maxSdkVersion="32"
        tools:ignore="ScopedStorage" />
    <uses-permission android:name="android.permission.READ_PHONE_STATE" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" />
    <uses-permission android:name="android.permission.REQUEST_INSTALL_PACKAGES" />
    <uses-permission android:name="android.permission.CAMERA" /> <!-- 相机权限 -->
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE"/>
    <application
        android:name=".base.MyApplication"
        android:allowBackup="true"
        android:dataExtractionRules="@xml/data_extraction_rules"
        android:fullBackupContent="@xml/backup_rules"
        android:icon="@drawable/logo"
        android:label="@string/app_name"
        android:roundIcon="@drawable/logo"
        android:supportsRtl="true"
        android:theme="@style/Theme.Beijingdaxing"
        android:usesCleartextTraffic="true"
        tools:targetApi="31">
        <provider
            android:name="androidx.core.content.FileProvider"
            android:authorities="com.example.beijing_daxing"
            android:exported="false"
            android:grantUriPermissions="true">
            <meta-data
                android:name="android.support.FILE_PROVIDER_PATHS"
                android:resource="@xml/file_paths" />
        </provider>


        <activity
            android:name=".SetingPowerActivity"
            android:exported="false" />
        <activity
            android:name=".CheckListActivity"
            android:exported="false" />

        <receiver
            android:name=".base.BaseActivity$MyReceiver"
            android:enabled="true"
            android:exported="true">
            <intent-filter>
                <action android:name="android.rfid.FUN_KEY" />
            </intent-filter>
        </receiver>

        <activity
            android:name=".OffLineCheckActivity"
            android:exported="false" />
        <activity
            android:name=".FpOutActivity"
            android:exported="false" />
        <activity
            android:name=".FpInActivity"
            android:exported="false" />
        <activity
            android:name=".BFActivity"
            android:exported="false" />
        <activity
            android:name=".StoreCheckActivity"
            android:exported="false" />
        <activity
            android:name=".CheckActivity"
            android:exported="false"
            android:windowSoftInputMode="adjustPan" />
        <activity
            android:name=".OutActivity"
            android:exported="false" />
        <activity
            android:name=".InActivity"
            android:exported="false"
            android:windowSoftInputMode="adjustPan" />
        <activity
            android:name=".HomePageActivity"
            android:exported="true" />
        <activity
            android:name=".MainActivity"
            android:exported="true">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />
                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
    </application>

</manifest>